{
	"name": "nichework/comment-streams-all-discussions",
	"type": "mediawiki-extension",
	"license": "GPL-3.0-or-later",
	"require": {
		"composer/installers": "^2.2.0|^1.0.1",
		"mediawiki/comment-streams": "^8.0"
	},
	"require-dev": {
		"mediawiki/mediawiki-codesniffer": "^41.0",
		"mediawiki/mediawiki-phan-config": "^0.12.1",
		"mediawiki/minus-x": "^1.1",
		"php-parallel-lint/php-parallel-lint": "^1.3"
	},
	"scripts": {
		"test": [
			"parallel-lint . --exclude vendor --exclude node_modules",
			"@phpcs",
			"minus-x check ."
		],
		"fix": [
			"minus-x fix .",
			"phpcbf"
		],
		"phan": "phan -d . --long-progress-bar",
		"phpcs": "phpcs -sp --cache"
	}
}
